## linux-meta-hwe-6.14 6.14.0-37.37~24.04.1trisquel7

=== debian/changelog ===
linux-meta-hwe-6.14 (6.14.0-37.37~24.04.1trisquel7) ecne; urgency=medium

  * Removed linux-firmware dependency, renamed release for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 11 Dec 2025 17:51:21 +0000
